args "--conf-parser --no-handle-version --no-handle-help"

purpose "Show para_audiod status in a curses window."

include(header.m4)
define(CURRENT_PROGRAM,para_gui)
define(DEFAULT_CONFIG_FILE,~/.paraslash/gui.conf)

<qu>
#########################
section "General options"
#########################
</qu>

include(config_file.m4)
include(loglevel.m4)

<qu>
option "timeout" t
#~~~~~~~~~~~~~~~~~
"set timeout"
int typestr = "milliseconds"
default = "30"
optional

option "theme" T
#~~~~~~~~~~~~~~~
"select startup theme"
string typestr = "name"
optional
details = "
	If this option is not given the default theme is used.
	If the given name is not a valid theme name, the list of
	available themes is printed and the program terminates.
"

option "stat_cmd" s
#~~~~~~~~~~~~~~~~~~
"command to read status items from"
string typestr = "command"
default = "para_audioc -- stat -p"
optional
details = "
	In order to run para_gui on a host on which no para_audiod
	is running (hence the default command does not work), the
	command

		para_client -- stat -p

	may be used. This command prints less information though.
	In particular, no timing information about the current audio
	file is printed.
"

#---------------------------------
section "Mapping keys to commands"
#---------------------------------

option "key_map" k
#~~~~~~~~~~~~~~~~~
"Map key k to command c using mode m."

string typestr = "k:m:c"
optional
multiple
details = "
	Mode may be d, x or p for display, external and paraslash
	commands, respectively. Of course, this option may be given
	multiple times, one for each key mapping.
"
</qu>
